Bug 1025785 - /usr/share/lxc/templates/lxc-fedora has bad fedora-release version
/usr/share/lxc/templates/lxc-fedora has bad fedora-release version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxc (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 10:58 EDT by Joel Uckelman
Modified: 2014-06-05 15:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-05 15:25:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2013-11-01 10:58:04 EDT
Description of problem:

/usr/share/lxc/templates/lxc-fedora tries to download "fedora-release-$release-1.noarch.rpm", but the correct RPM for F19 is currently 
fedora-release-19-2.noarch.rpm, not fedora-release-19-1.noarch.rpm. Hence using the template to create a container fails.

Version-Release number of selected component (if applicable):

lxc-templates-0.8.0-2.fc19.x86_64


How reproducible:

Always.




Steps to Reproduce:
1. lxc-create -n foo -t fedora -f /usr/share/doc/lxc/examples/lxc-macvlan.conf

Actual results:

[root@cato ~]# lxc-create -n foo -t fedora -f /usr/share/doc/lxc/examples/lxc-macvlan.conf 
/usr/share/lxc/templates/lxc-fedora is /usr/share/lxc/templates/lxc-fedora
Checking cache download in /var/cache/lxc/fedora/x86_64/19/rootfs ... 
Downloading fedora minimal ...
Fetching from http://fedora.mirror.lstn.net/releases/19/Everything/x86_64/os//Packages/f/fedora-release-19-1.noarch.rpm
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Failed to download fedora release rpm
Trying again...
Fetching from http://mirror.umd.edu/fedora/linux/releases/19/Everything/x86_64/os//Packages/f/fedora-release-19-1.noarch.rpm
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Failed to download fedora release rpm
Trying again...
Fetching from http://mirror.pnl.gov/fedora/linux/releases/19/Everything/x86_64/os//Packages/f/fedora-release-19-1.noarch.rpm
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Failed to download fedora release rpm
Aborting
Failed to download 'fedora base'
failed to install fedora
lxc-create: failed to execute template 'fedora'
lxc-create: aborted


Expected results:

The script should pick the right name for the release package.
Comment 1 Joel Uckelman 2013-11-01 11:04:23 EDT
Actually, the current release is 19-4 now. Hard-coding this seems like a bad idea.
Comment 2 Thomas Moschny 2013-12-23 03:48:59 EST
Does the problem persist with lxc-templates-0.9.0-2?
Comment 3 Joel Uckelman 2014-02-12 16:20:57 EST
This seems to work now with lxc-templates-0.9.0-2.fc20.x86_64.
Comment 4 Michael H. Warfield 2014-06-04 14:49:26 EDT
This has been fixed in upstream and this can be closed.

Note You need to log in before you can comment on or make changes to this bug.